<!DOCTYPE html>

<html lang="zxx">

<head>
  <title>Isaul Garcia ∷ MDEF</title>

  <!-- Main Stylesheet -->
  <link href="css/style_2.css" rel="stylesheet">
  <script src="forscrolly.js"></script>

</head>



<body class="over_margins">
  <section>
    <div class="topsec rightcolumn">
        <div class="navbar">
          <div class="navtext fortop">
              <a class="h7">Isaúl García</a>
          </div>
          <div class="navtext fortop forright">
              <a class="h8 navspacerR hovy" href="index.html">Home</a>
              <a class="h8 navspacerR hovy" href="aboutme.html">About</a>
              <a class="h8 navspacerR hovy" href="projects.html">Projects</a>
              <a class="h8 navspacerR hovy activenav" href="fabacademy.html">Fab Academy</a>
              <a class="h8 navspacerR hovy" href="journal.html">Journal</a>
          </div>
      </div>
      <hr width="100%" size="1" color="#000"/>
    </div>
  </section>


<section class="rightcolumn">
  <div class="ingcontainer blogcontainer justpad">
    <div class="myDiv_b">
      <img class="bloginage blogtitle-l"   href="portfolio.html" src="images/output2.png">
      <div class="blogtitle-r2">
          <h1>Outputs</h1><h1></h1>
          <h3>FAB ACADEMY</h3>
          <h6><br></h6>
          <h3></h3>
          <h3></h3>
        </div>
      </div>
  </div>
<hr color="#000"class="lineblog"/>
</section>
<!-- section for image end -->



<section>

  <div class="rightcolumn" style="padding-top:-50px">

    <div class="rightcolumnblog">
      <img class="in-blog-img"   href="portfolio.html" src="images/IMG_8658X.jpg" width="100%">
      <h6><br></h6>
      <h3 class="blogtitle-l">W11</h3>
      <h3 class="blogtitle-r">2020</h3>
      <h6><br></h6>
      <h6><br></h6>
      <br>

      <hr color="#000" class="lineblog"/>

      <br>
      <h4>Outputs</h4>
      <p>
        For this week's task I based my inputs with the previous <a href="fab_9.html" style="text-decoration:none; color: ##92968a;">[ inputs week ]</a> assignment. I added another button to the line to give the project more outcomes. I connected a speaker, and intend to make a small music instrument with three different tones.
      </br>
        <img class="in-blog-img"   href="portfolio.html" src="images/IMG_8655.jpg" style="width: 100%;">
      </br>
        I went ahead and connected the extra button using the same reference as before. Then I connected the speaker. I used analogRead again to figure out the new values with the extra button. This time I had to add an extra function that served for the middle button with the new values. I added the button to the code and edited the leds with the speaker setup. With a quick google search I found the different values the speaker can support to make different tones. These values range from 120-1500.
      </br>
        <img class="in-blog-img"   href="portfolio.html" src="images/BUTSOUNDS.jpg" style="width: 100%;">
      </br>
        Afterwards I set everything up, sent it to the arduino and made my first melody.
      </br>
        <iframe src="https://drive.google.com/file/d/1CaB04XLY5Gxf585d5hFdrNaQJxeIkXNz/preview" width="100%" height="480"></iframe>
      </br>
        Then I tried using exactly the same code but plugged it in to a motor. With this code the motor seemed to rotate almost 45 degrees with one button and 90 degrees with another. Yet the third one seemed like it was too little of a value to make a noticeable movement.
      </br>
        <iframe src="https://drive.google.com/file/d/1mamg2sPdfd68qV34xzV6et-3iov0vCkR/preview" width="100%" height="480"></iframe>
      </br>
        For the next task, I put both the motor and the speaker, and tried to put different outcomes accordinly. the first two buttons would move the motor and the third one would make a sound. I also tweaked the code a bit to have longer rotations in the motor. I quickly realized that the motor could not be within the same circuit since its alternating the currents of the whole circuit, making everything mess up since the values read with the analogRead would be all messed up. Resulting in a tiny chaos of sound and stuck motor sounds.
      </br>
      </br>
        I redid the circuits using the 3V port in the arduino solely for the motor, then the rest would take the energy from the 5V. After this the problem was solved and the motor no longer messed up with the currents.
      </br>
        <img class="in-blog-img"   href="portfolio.html" src="images/MOTSOUND.jpg" style="width: 100%;">
      </br>
        <iframe src="https://drive.google.com/file/d/1igEChtCs_Q5a7dfTNQuF7ttZdUyrzoo2/preview" width="100%" height="480"></iframe>
      </br>
      </p>
      <P>

    <h4>Files</h4>
        <a href="resources/ReadingButtons.ino" download>◦ ReadingButtons(.ino)</a></br>
        <a href="resources/ThreeTones.ino" download>◦ ThreeTones(.ino)</a></br>
        <a href="resources/MotorSound.ino" download>◦ MotorSound(.ino)</a></br>
      </br>
        <hr width="100%" size="1" color="#fcfcfc"/>
      <a class="rightcolumn-i">
        <img src="images/lincon.svg">
      </a>
      <br>
      <p>
        <strong>Student</strong>
        <br>
        Isaul Garcia
      </p>
      <br>
      <hr width="100%" size="1" color="#000"/>
      <img   href="comment.html" style="cursor: pointer" src="images/envelope.svg" width="22px">

      <!--
      <form action="/html/tags/html_form_tag_action.cfm" method="post">Comments?<br />
        <textarea name="comments" id="comments" style="width:350px;height:150px;background-color:#fff;">
        </textarea><br/>
        <input type="submit" value="Submit" />
      </form>

      picture icon
      name of week
      tags
      gallery
      w0
      date
      text
      link for next and prev

    -->

    </div>
  </div>

</section>

<section>
  <div class="rightcolumn fo">
  </div>
</section>



</body>


</html>
